Bug 497623 - KMS:RV250:Mobility FireGL 9000 the display gets corrupted after a while
KMS:RV250:Mobility FireGL 9000 the display gets corrupted after a while
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 04:26 EDT by Krisztian Ganyai
Modified: 2010-06-28 08:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:12:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example screenshot of the problem (159.07 KB, image/png)
2009-04-25 04:26 EDT, Krisztian Ganyai
no flags Details
Xorg.log (46.84 KB, text/plain)
2009-04-25 04:29 EDT, Krisztian Ganyai
no flags Details

  None (edit)
Description Krisztian Ganyai 2009-04-25 04:26:35 EDT
Created attachment 341297 [details]
Example screenshot of the problem

Description of problem:
I have a Compaq Presario X1000 with a 64MB ATI mobility 9000. When modesetting is enabled on the fully updated F11 beta machine and using it for a while the screen, window, widget contents get garbled.

Version-Release number of selected component (if applicable):
I'm runnning: kernel-2.6.29.1-85.fc11.i586
ATI driver version is: xorg-x11-drv-ati-6.12.2-4.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Don't disable modesetting
2. Boot up machine
3. Use it for a while
  
Actual results:
See attachment

Expected results:
Screen doesn't go corrupted

Additional info:
When disabling modesetting the problem doesn't happen, but then the rdesktop I have to use to access win machined is painfully slow on screen updates.
Comment 1 Krisztian Ganyai 2009-04-25 04:29:47 EDT
Created attachment 341298 [details]
Xorg.log
Comment 2 Behdad Esfahbod 2009-04-26 11:27:15 EDT
Anything X related automatically falls out of my territory.
Comment 3 Krisztian Ganyai 2009-04-28 08:15:56 EDT
It looks like the behaviour may be linked to Firefox. I don't know if it's a known issue or not.
I've been using the machine for hours now and everything was fine until I opened a link from an e-mail(launched Firefox). Then the whole screen went corrupted as shown in the previous attachment.
Comment 4 Krisztian Ganyai 2009-05-08 10:19:56 EDT
Looks like upgrading to kernel 2.6.29-2-129 solved the problem. I've been using the machine all day and no garbage so far...
Comment 5 Bug Zapper 2009-06-09 10:32:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:27:31 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Krisztian Ganyai 2009-11-07 06:40:39 EST
Hi,
With the later 2.6.29 and 2.6.30 series of kernels the problem seems to be gone. I think this ticket can be closed.
Thanks,
Chris
Comment 8 Bug Zapper 2010-04-27 09:55:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Vedran Miletić 2010-05-24 13:41:58 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 10 Bug Zapper 2010-06-28 08:12:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.